Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 59540 - cpio: MD5 sum mismatch during rpm install
cpio: MD5 sum mismatch during rpm install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: perl-XML-Parser (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-09 18:04 EST by Richard Ames
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 21:11:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Ames 2002-02-09 18:04:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
Trying to install perl-XML-Parser from rpm on 7.2 RH distribution CDROMS
(xxxxx) or rpm from rpmfind.net (perl-XML-Parser-2.30-7.i386.rpm) results in "
1:perl-XML-Parser error: unpacking of archive failed on file
/usr/lib/perl5/site_perl/5.6.0/i386-linux/XML/Parser/Encodings/x-sjis-jisx0221.enc;3c65a557:
cpio: MD5 sum mismatch"

I tried --nomd5 without sucess ---- I suspect this is a cpio issue but surprised
to see it on two packages (one on CD, one from net).

Regards, Richard.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load CD or get rpm form net
2.rpm -Uvh perl-XML-Parser....
3.
	

Actual Results:  See description.

Expected Results:  Normal install

Additional info:
Comment 1 Chip Turner 2002-02-09 18:30:44 EST
What is the output of:

  rpm -K perl-XML-Parser-2.30-7.i386.rpm

when run on both?

Also, what do the following report:
  rpm -q rpm
  rpm -q perl

Please check disk space and make sure all partitions have sufficient space,
including /tmp and /var/tmp.  Disk space issues can result in incorrect md5
messages.
Comment 2 Richard Ames 2002-02-09 19:30:41 EST
Answers to your requests:

[root@temp root]# !mount
mount /mnt/cdrom
[root@temp root]# rpm -K /mnt/cdrom/RedHat/RPMS/perl-XML-Parser-2.30-7.i386.rpm
/mnt/cdrom/RedHat/RPMS/perl-XML-Parser-2.30-7.i386.rpm: md5 (GPG) OK (MISSING
KEYS: GPG#DB42A60E)
[root@temp root]# rpm -K perl-XML-Parser-2.30-7.i386.rpm
perl-XML-Parser-2.30-7.i386.rpm: md5 (GPG) OK (MISSING KEYS: GPG#DB42A60E)
[root@temp root]# df
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/md1              39397496   2982888  34413328   8% /
/dev/md0                 79318      9468     65748  13% /boot
none                     30940         0     30940   0% /dev/shm
/dev/cdrom              662072    662072         0 100% /mnt/cdrom
[root@temp root]# rpm -q rpm
rpm-4.0.3-1.03
[root@temp root]# rpm -q perl
perl-5.6.0-17
[root@temp root]#
Comment 3 Richard Ames 2002-02-09 20:10:21 EST
Later:

[root@temp root]# rpm -Uvh --nogpg perl-XML-Parser-2.30-7.i386.rpm
Preparing...                ########################################### [100%]
   1:perl-XML-Parser        ########################################### [100%]
Comment 4 Chip Turner 2002-04-10 20:19:53 EDT
So this now works?
Comment 5 Dave Parker 2003-08-20 17:40:47 EDT
jeff has no insight on this.  we may need to just re-package this to make the
problem go away.

Note You need to log in before you can comment on or make changes to this bug.